import { JWTTypes, FastifyPluginOptions } from 'fastify';
import 'fastify-cors';
import 'fastify-jwt';
import 'fastify-file-upload';
import { DataService } from './data-service';
import { Model } from './interfaces';
import { SignOptions, VerifyOptions } from 'jsonwebtoken';
export declare class HttpServer {
    private dataService;
    private host;
    private port;
    private logger;
    private origin;
    private swaggerOptions?;
    private fastifyServer;
    constructor(dataService: DataService, host: string, port: number, logger: boolean, origin: boolean, swaggerOptions?: FastifyPluginOptions);
    start(): void;
    stop(): Promise<void>;
    sign(payload: JWTTypes.SignPayloadType, options?: SignOptions): string;
    verify(token: string, options?: VerifyOptions): JWTTypes.VerifyPayloadType;
    registerModelRoutes(models: Model[]): void;
}
